<?php

/*
*
* ---------------------------------------------------
*
* setup.php
*            - Setup                    : 初期化
*            - Setup_Detector           : メニュー制御
*            - Surfacer                 : ステップ制御(汎用)
*            - Common                   : お道具箱
*
* ---------------------------------------------------
*
* install.php
*            - Install_Factory          : 生成判断
*            - Install_Step             : ステップ制御(共有)
*            - Install_Step_1~5         : 各ステップ制御の本体
*            - Import_Install           : インポート
*
* ---------------------------------------------------
*
* update.php
*            - Surfacer_Update          : ステップ制御
*
* ---------------------------------------------------
*
* export.php
*            - Surfacer_Export          : ステップ制御
*
* ---------------------------------------------------
*
* import.php
*            - Surfacer_Import          : ステップ制御
*            - Import_Add_Child         : 新規子ブログ
*            - Import_Add_Merge         : 既存ブログ
*
* ---------------------------------------------------
*
* fix_domain.php
*            - Surfacer_FixDomain       : ステップ制御
* fix_sequence.php
*            - Surfacer_FixSequence     : ステップ制御
* fix_blog-align.php
*            - Surfacer_FixBlogAlign    : ステップ制御
* fix_category-align.php
*            - Surfacer_FixCategoryAlign: ステップ制御
* fix_comment-align.php
*            - Surfacer_FixCommentAlign : ステップ制御
* fix_ngram.php
*            - Surfacer_FixNgram        : ステップ制御
*
* ---------------------------------------------------
*
* lib/common.php
*            - Common                   : お道具箱
* lib/compose.php
*            - composeZip               : ZIP圧縮
* lib/export.php
*            - Export                   : エクスポートコア
* lib/fix.php
*            - Fix                      : FIX系
* lib/import.php
*            - Import                   : インポートコア
* lib/schema.php
*            - Schema                   : DBスキーマとインデックス管理
*/

try {
    require_once(dirname(__FILE__) . '/application.php');
    require_once(dirname(__FILE__) . '/setup.php');

    new Setup_Detector();

    App::checkException();
} catch ( Exception $e ) {
    App::showError($e);
}